Bug 804380 - nmh's post program crashes with glibc detecting an invalid pointer
nmh's post program crashes with glibc detecting an invalid pointer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Josh Bressers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 09:28 EDT by David Howells
Modified: 2012-07-17 13:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2012-03-18 09:28:24 EDT
Description of problem:

nmh's post program crashes with the following output from glibc:

warthog>comp

What now? ?
Options are:
  edit [<editor> <switches>]
  refile [<switches>] +folder
  mime [<switches>]
  display [<switches>]
  list [<switches>]
  send [<switches>]
  push [<switches>]
  whom [<switches>]
  quit [-delete]
  delete
  cd [directory]
  pwd
  ls
  attach
  (de)tach [-n]
  (al)ist [-ln] 

What now? send
*** glibc detected *** post: free(): invalid pointer: 0x0000000000d24a75 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3f3bc7dda6]
post[0x4092b0]
post[0x40669f]
post[0x407ac0]
post[0x4053eb]
post[0x403341]
/lib64/libc.so.6(__libc_start_main+0xed)[0x3f3bc2169d]
post[0x403f01]
======= Memory map: ========
00400000-00415000 r-xp 00000000 09:01 4727661                            /usr/libexec/nmh/post
00614000-00615000 r--p 00014000 09:01 4727661                            /usr/libexec/nmh/post
00615000-00617000 rw-p 00015000 09:01 4727661                            /usr/libexec/nmh/post
00617000-0064b000 rw-p 00000000 00:00 0 
00d20000-00d41000 rw-p 00000000 00:00 0                                  [heap]
3f3b800000-3f3b822000 r-xp 00000000 09:01 655398                         /lib64/ld-2.14.90.so
3f3ba21000-3f3ba22000 r--p 00021000 09:01 655398                         /lib64/ld-2.14.90.so
3f3ba22000-3f3ba23000 rw-p 00022000 09:01 655398                         /lib64/ld-2.14.90.so
3f3ba23000-3f3ba24000 rw-p 00000000 00:00 0 
3f3bc00000-3f3bdad000 r-xp 00000000 09:01 655415                         /lib64/libc-2.14.90.so
3f3bdad000-3f3bfad000 ---p 001ad000 09:01 655415                         /lib64/libc-2.14.90.so
3f3bfad000-3f3bfb1000 r--p 001ad000 09:01 655415                         /lib64/libc-2.14.90.so
3f3bfb1000-3f3bfb3000 rw-p 001b1000 09:01 655415                         /lib64/libc-2.14.90.so
3f3bfb3000-3f3bfb8000 rw-p 00000000 00:00 0 
3f3c800000-3f3c815000 r-xp 00000000 09:01 655753                         /lib64/libgcc_s-4.6.2-20111027.so.1
3f3c815000-3f3ca14000 ---p 00015000 09:01 655753                         /lib64/libgcc_s-4.6.2-20111027.so.1
3f3ca14000-3f3ca15000 rw-p 00014000 09:01 655753                         /lib64/libgcc_s-4.6.2-20111027.so.1
3f40800000-3f40818000 r-xp 00000000 09:01 655673                         /lib64/libresolv-2.14.90.so
3f40818000-3f40a18000 ---p 00018000 09:01 655673                         /lib64/libresolv-2.14.90.so
3f40a18000-3f40a19000 r--p 00018000 09:01 655673                         /lib64/libresolv-2.14.90.so
3f40a19000-3f40a1a000 rw-p 00019000 09:01 655673                         /lib64/libresolv-2.14.90.so
3f40a1a000-3f40a1c000 rw-p 00000000 00:00 0 
7f5f10ace000-7f5f10ad5000 r-xp 00000000 09:01 655414                     /lib64/libnss_dns-2.14.90.so
7f5f10ad5000-7f5f10cd4000 ---p 00007000 09:01 655414                     /lib64/libnss_dns-2.14.90.so
7f5f10cd4000-7f5f10cd5000 r--p 00006000 09:01 655414                     /lib64/libnss_dns-2.14.90.so
7f5f10cd5000-7f5f10cd6000 rw-p 00007000 09:01 655414                     /lib64/libnss_dns-2.14.90.so
7f5f10cd6000-7f5f10cd8000 r-xp 00000000 09:01 655744                     /lib64/libnss_mdns4_minimal.so.2
7f5f10cd8000-7f5f10ed7000 ---p 00002000 09:01 655744                     /lib64/libnss_mdns4_minimal.so.2
7f5f10ed7000-7f5f10ed8000 rw-p 00001000 09:01 655744                     /lib64/libnss_mdns4_minimal.so.2
7f5f10ed8000-7f5f10ee4000 r-xp 00000000 09:01 655466                     /lib64/libnss_files-2.14.90.so
7f5f10ee4000-7f5f110e3000 ---p 0000c000 09:01 655466                     /lib64/libnss_files-2.14.90.so
7f5f110e3000-7f5f110e4000 r--p 0000b000 09:01 655466                     /lib64/libnss_files-2.14.90.so
7f5f110e4000-7f5f110e5000 rw-p 0000c000 09:01 655466                     /lib64/libnss_files-2.14.90.so
7f5f110e5000-7f5f17508000 r--p 00000000 09:01 4001419                    /usr/lib/locale/locale-archive
7f5f17508000-7f5f1750b000 rw-p 00000000 00:00 0 
7f5f17548000-7f5f1754a000 rw-p 00000000 00:00 0 
7fff5bbf6000-7fff5bc17000 rw-p 00000000 00:00 0                          [stack]
7fff5bca6000-7fff5bca7000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
send: message not delivered to anyone

What now?

Version-Release number of selected component (if applicable):

nmh-1.4-1.fc16.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Compose a message.
2. Tell it to send.
3.
  
Actual results:

Crashes as above.

Expected results:

Should send the message and not crash.
Comment 1 David Howells 2012-07-02 07:33:24 EDT
This still occurs with F-17, and in F-17 I can't simply yum downgrade to nmh-1.3
Comment 2 Fedora Update System 2012-07-03 07:40:08 EDT
nmh-1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nmh-1.5-1.fc16
Comment 3 Fedora Update System 2012-07-03 07:40:34 EDT
nmh-1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nmh-1.5-1.fc17
Comment 4 Fedora Update System 2012-07-05 19:32:58 EDT
Package nmh-1.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nmh-1.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10265/nmh-1.5-1.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-17 13:22:48 EDT
nmh-1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-17 13:26:00 EDT
nmh-1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.